//---------------------------------------------------------------------------
#ifndef CPELLETEUSEH
#define CPELLETEUSEH
//---------------------------------------------------------------------------

#include "CKiloutouMachine.h"
#include "vPelleteuse.h"

#include <stdctrls.hpp>

class CPelleteuse : public CKiloutouMachine
{
    private:
        double m_dPoidsTotal;

    public:
        __fastcall CPelleteuse( const AnsiString &asNom,
                                const AnsiString &asDescription,
                                const double &dPrix,
                                const double &dPTotal,
                                const int &Numero_Materiel);

        __fastcall CPelleteuse( void );
        void __fastcall Affecter(const AnsiString &asNom,
                                 const AnsiString &asDescription,
                                 const double &dPrix,
                                 const double &dPTotal,
                                 const int &Numero_Materiel);

        bool __fastcall Ajouter( void );
        bool __fastcall Modifier( void );
        bool __fastcall Supprimer( void );
        AnsiString __fastcall GetLibelle( void );

    public:
        __property double     __fastcall PoidsTotal = { read=m_dPoidsTotal, write=m_dPoidsTotal };
};

#endif
 